DecodeWindowing.DecodeWindowLimits

com.hsm.barcode

## Class DecodeWindowing.DecodeWindowLimits

- java.lang.Object
- - com.hsm.barcode.DecodeWindowing.DecodeWindowLimits

- Enclosing class:
    DecodeWindowing

      public static final class DecodeWindowing.DecodeWindowLimits
      extends java.lang.Object

  Decode Window Min/Max Limits that are allowed to be specified.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `LowerRight_X_Max` Lower right X coordinate maximum value
    `int` | `LowerRight_X_Min` Lower right X coordinate minimum value
    `int` | `LowerRight_Y_Max` Lower right Y coordinate maximum value
    `int` | `LowerRight_Y_Min` Lower right Y coordinate minimum value
    `int` | `UpperLeft_X_Max` Upper left X coordinate maximum value
    `int` | `UpperLeft_X_Min` Upper left X coordinate minimum value
    `int` | `UpperLeft_Y_Max` Upper left Y coordinate maximum value
    `int` | `UpperLeft_Y_Min` Upper left Y coordinate minimum value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeWindowLimits()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UpperLeft_X_Min

          public int UpperLeft_X_Min

      Upper left X coordinate minimum value

    - #### UpperLeft_X_Max

          public int UpperLeft_X_Max

      Upper left X coordinate maximum value

    - #### UpperLeft_Y_Min

          public int UpperLeft_Y_Min

      Upper left Y coordinate minimum value

    - #### UpperLeft_Y_Max

          public int UpperLeft_Y_Max

      Upper left Y coordinate maximum value

    - #### LowerRight_X_Min

          public int LowerRight_X_Min

      Lower right X coordinate minimum value

    - #### LowerRight_X_Max

          public int LowerRight_X_Max

      Lower right X coordinate maximum value

    - #### LowerRight_Y_Min

          public int LowerRight_Y_Min

      Lower right Y coordinate minimum value

    - #### LowerRight_Y_Max

          public int LowerRight_Y_Max

      Lower right Y coordinate maximum value

  - ### Constructor Detail

    - #### DecodeWindowLimits

          public DecodeWindowLimits()